<div class="docs-primary-header component-page-header">
  <mat-chip-list>
    <mat-chip>
      <mat-icon>home</mat-icon>
      <a routerLink="/dashboard">Home</a> / 
      <a routerLink="/users">Users</a>/Deleted Users
    </mat-chip>
  </mat-chip-list>
</div>


<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title" >
      <span>DELETED USERS</span>
      <div style="flex-grow:1;"></div>
   
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">RECOVER</button>&nbsp;&nbsp; 
      <a routerLink="/users" style="font-size: 16px;padding-top: 9px;">Users</a>
    </div>
    <div class="example-header"> 
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>
  <div class="new">
    <table mat-table [dataSource]="dataSource" matSort  matSort matSortActive="created" matSortDisableClear matSortDirection="asc" style="width: 100%">

        <ng-container matColumnDef="id">
            <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
            <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
          </ng-container>
    
         
          <ng-container matColumnDef="name">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Name </mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
          </ng-container>
    
          <ng-container matColumnDef="mobile_no">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Mobile Number </mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.mobile_no}} </mat-cell>
          </ng-container>
    
          <ng-container matColumnDef="password">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Password </mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.password}} </mat-cell>
          </ng-container>
    
          <ng-container matColumnDef="email">
            <mat-header-cell *matHeaderCellDef mat-sort-header> E-Mail </mat-header-cell>
            <mat-cell *matCellDef="let element">
               {{element.email}} </mat-cell>
            <!-- <div style="margin-right: 25px; width: 63px;"> {{element.email}} </div> -->
          <!-- </mat-cell> -->
          </ng-container>
    
          <ng-container matColumnDef="address">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Address </mat-header-cell>
            <mat-cell *matCellDef="let element">
               {{element.address}} </mat-cell>
            <!-- <div style="margin-right: 25px; width: 63px;">{{element.address}}</div> -->
            <!-- </mat-cell> -->
          </ng-container>
     
          <ng-container matColumnDef="unique_code">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Unique Code </mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.unique_code}} </mat-cell>
          </ng-container>
    
          <ng-container matColumnDef="usertype">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Usertype </mat-header-cell>
            <mat-cell *matCellDef="let element">
              <mat-chip-list>
                <mat-chip *ngIf="element.usertype == 'Manufacturer'" color="primary" selected="true">{{element.usertype}}</mat-chip>
                <mat-chip *ngIf="element.usertype == 'Distributor'">{{element.usertype}}</mat-chip>
                <mat-chip *ngIf="element.usertype == 'Retailer'" color="accent" selected="true">{{element.usertype}}</mat-chip>
                <mat-chip *ngIf="element.usertype == 'Importer'" color="warn" selected="true">{{element.usertype}}</mat-chip>
                <mat-chip *ngIf="element.usertype == 'Customer'" color="warn" selected="true">{{element.usertype}}</mat-chip>
              </mat-chip-list> 
            </mat-cell>
          </ng-container>
    
          <!-- <ng-container matColumnDef="brand">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Brand </mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.brand_name}} </mat-cell>
          </ng-container>
    
          <ng-container matColumnDef="category">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Category </mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.category_name}} </mat-cell>
          </ng-container>
    
          <ng-container matColumnDef="sub_category">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Sub-Category </mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.sub_category_name}} </mat-cell>
          </ng-container> -->
    
          <ng-container matColumnDef="country">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Country </mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.country}} </mat-cell>
          </ng-container>
    
    
 
      <ng-container matColumnDef="action"> 
        <mat-header-cell *matHeaderCellDef mat-sort-header> Select </mat-header-cell>
        <mat-cell *matCellDef="let element"><mat-checkbox (change)="sendIDS($event.checked,element.id)" color="primary"></mat-checkbox></mat-cell>
      </ng-container>
     

      <mat-header-row *matHeaderRowDef="['id', 'name', 'mobile_no', 'password', 'email', 'address', 'unique_code', 'country',  'usertype','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['id', 'name', 'mobile_no', 'password', 'email', 'address', 'unique_code', 'country',  'usertype','action']"></mat-row>

    </table>
  </div>

    <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]">
    </mat-paginator>
  </div>
</div>


<mat-sidenav-container>

  <mat-sidenav #sidenav1 mode="over" opened="false" position="end">
    <mat-toolbar>
      <button mat-icon-button (click)="sidenav1.toggle() && resetform()">
        <mat-icon class="icon" matTooltip="Close">close</mat-icon>
      </button>
      <span style="margin-left: 15px;">ADD USER</span>
    </mat-toolbar>

    <div style="padding: 0 24px 24px 24px; margin-top: 10px;">
      <form [formGroup]="userForm">

        <mat-form-field>
          <input matInput placeholder="Name" formControlName="name">
          <mat-error *ngIf="userForm.controls['name'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput #mobile_no maxlength="10" placeholder="Mobile Number" formControlName="mobile_no">
          <mat-hint align="end">{{mobile_no.value.length}} / 10</mat-hint>
          <mat-error *ngIf="userForm.controls['mobile_no'].errors?.pattern">
            Mobile Number should be numeric
          </mat-error>
          <mat-error *ngIf="userForm.controls['mobile_no'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput placeholder="Password" formControlName="password">
          <mat-error *ngIf="userForm.controls['password'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput #email maxlength="100" placeholder="E-Mail" formControlName="email">
          <mat-hint align="end">{{email.value.length}} / 100</mat-hint>
          <mat-error *ngIf="userForm.controls['email'].hasError('email') && !userForm.controls['email'].hasError('required')">
            Please enter a valid email address
          </mat-error>
          <mat-error *ngIf="userForm.controls['email'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput placeholder="Address" formControlName="address">
          <mat-error *ngIf="userForm.controls['address'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-select placeholder="Usertype" formControlName="usertype">
            <mat-option value="Manufacturer">Manufacturer</mat-option>
            <mat-option value="Distributor">Distributor / Importer</mat-option>
            <mat-option value="Retailer">Retailer</mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field>
          <input matInput placeholder="Unique Code" formControlName="unique_code">
          <mat-error *ngIf="userForm.controls['unique_code'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-select placeholder="Brand" formControlName="brand" required>
            <mat-option *ngFor="let brand of brands" [value]="brand.brand_id">
              {{ brand.brand_name }}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="userForm.controls['brand'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-select placeholder="Category" formControlName="category" (ngModelChange)="getSubCategory($event)" required>
            <mat-option *ngFor="let category of categories" [value]="category.category_id">
              {{ category.category_name }}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="userForm.controls['category'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <mat-select placeholder="Sub-Category" formControlName="sub_category" required>
            <mat-option *ngFor="let subcategory of subcategories" [value]="subcategory.sub_category_id">
              {{ subcategory.sub_category_name }}
            </mat-option>
          </mat-select>
          <mat-error *ngIf="userForm.controls['sub_category'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <!-- <mat-form-field>
          <input matInput placeholder="Category" formControlName="category">
          <mat-error *ngIf="userForm.controls['category'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput placeholder="Sub-Category" formControlName="sub_category">
          <mat-error *ngIf="userForm.controls['sub_category'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field> -->

        <mat-form-field>
          <input matInput placeholder="Country" formControlName="country">
          <mat-error *ngIf="userForm.controls['country'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>
        

        <div style="margin-top: 15px;">
          <a mat-raised-button (click)="resetform()" mat-raised-button color="accent" style="margin-left: 5px;">Reset</a>
          <button mat-raised-button color="accent" style="margin-left: 5px;" (click)="sidenav1.toggle() && submit()" [disabled]="!userForm.valid || Hidden">Submit</button>
        </div>
      </form>
    </div>

  </mat-sidenav>
</mat-sidenav-container>